export interface IAlbum {
    id: string
    name: string;
    cover: string;
    year: string;
    genres: IGenre[];
}

export interface IBand {
    id: string
    name: string;
    city: string;
    country: string;
    years: string;
    genres: IGenre[];
    description: string;
}

export interface IGenre {
    id: string;
    name: string;
}

export interface ISong {
    id: string
    song_name: string;
    band_name: string;
    cover: string;
    genreid: string;
    albumid: string;
    source: string;
    band_id: string;
    album_name: string;
    genre_name: string;
    playlists: IPlaylist[];
}

export interface IPlaylist {
    id: string
    name: string;
    cover: string;
    description: string;
    tracks: ISong[];
}
export interface SongProps {
    song: ISong;
  }